# Alert

## propTypes

```
Alert.propTypes = {
    alertType: PropTypes.string,
    id: PropTypes.string,
    message: PropTypes.string,
    showIcon: PropTypes.bool,
    subClass: PropTypes.string,
    width: PropTypes.oneOfType([
        PropTypes.string,
        PropTypes.number
    ])
};
```

## defaultProps

```
Alert.defaultProps = {
    alertType: 'info',
    id: `tsdevAlert-${Uuid.v4()}`,
    message: 'Alert Message',
    showIcon: true,
    subClass: '',
    width: 500
};
```